#ifndef BOXSIR_H
#define BOXSIR_H

#include "object.h" // Base class: Object

enum Animation{
    HEAD_DOWN = 0,
    HEAD_PAN,
    MOUTH_ROTATE,
    HAND_LEFT_RAISE,
    HAND_LEFT_EXPAND,
    HAND_RIGHT_RAISE,
    HAND_RIGHT_EXPAND,
    FOOT_LEFT_RAISE,
    FOOT_RIGHT_RAISE,
    FACE_TO,
};

enum Pose{
    POSE_NORMAL,
    POSE_JUMPING,
    POSE_WALK_LEFT,
    POSE_WALK_RIGHT,
    POSE_COOL,
    POSE_SAD,
    POSE_HAPPY
};

class BoxSir : public Object {
    GLdouble animation[10];
    int pose;
    int poseAnimation;
public:
	BoxSir();
	virtual ~BoxSir();
    void setPose(int index);
    void normalPose();
    rect getRect();
public:
    virtual void draw();
    virtual void move();
};

#endif // BOXSIR_H
