#include <stdio.h>
#include <unistd.h>
#include <GL/glut.h>
#include "opengl.h"
#include "musicmixer.h"

int main(int argc, char *argv[])
{
    /* Set up working directory */
    char * p = strrchr(argv[0], '/');
    if(p){
        *p = '\0';
        chdir(argv[0]);
        *p = '/';
    }
    
    MusicMixer::Instance()->init();
    OpenGL *game = OpenGL::Instance();
    game->init(argc, argv);
    game->loop();
    return 0;
}
