#ifndef MUSICMIXER_H
#define MUSICMIXER_H

#include <string>
#include <map>
#include <SDL/SDL_mixer.h>
using namespace std;

#define MUSIC_TYPE "ogg"

class MusicMixer {
private:
    static MusicMixer* mm_Instance;
	Mix_Music*	bgMusic;
	map<string, Mix_Chunk*>	mapSounds;
public:
	static MusicMixer* Instance();
	static void Release();
public:
	MusicMixer();
	virtual ~MusicMixer();
	void	init();
	void	playMusic(string file, bool loop);
	bool	isMusicStopped();
	void	stopMusic();
	void	playSample(string file);
};

#endif // MUSICMIXER_H
