#ifndef OBJECT_H
#define OBJECT_H

#include "opengl.h"

class Object {
protected:
    bool visible;
    pos position;
    vec velocity;
    bool disposed;
public:
    friend class OpenGL;
	Object();
	virtual ~Object();
    bool isVisible() const;
    void show();
    void hide();
    void dispose();
    bool isDisposed() const;
public:
    virtual void draw();
    virtual void move();
    virtual rect getRect();
};

#endif // OBJECT_H
